Subject: Re: bug#5054: Man truncated

From: Stefan Monnier <[email-masked]>
Date: Sun, 10 Jan 2010 22:39:18 -0500

> Using a separate buffer for the process output (a hidden buffer with
> a leading space in its name) where `man' collects and formats the output
> and later copies to the displayed main buffer is implemented in the
> following patch.

Hmm... that's not the solution I was looking for, but I guess yours is
a lot simpler, indeed.  So it's probably good, while we keep waiting for
someone to implement the formatting on the fly from the process-fiter.

> One remaining problem: when `man' can't find a manpage, it signals
> the error "Can't find the manpage".  But what to do with the displayed
> empty window that waits for the formatted output?

Good question.  If the buffer is new, it could/should be deleted, and
similarly for the window.

> Maybe to undo the window configuration to its original state?

window-configurations are never a good answer to those problems.

        Stefan